Package org.eclipse.lemminx.extensions.entities

## Class EntitiesPlugin

- java.lang.Object
- - org.eclipse.lemminx.extensions.entities.EntitiesPlugin

All Implemented Interfaces:
  `IXMLExtension`

    public class EntitiesPlugin
    extends Object
    implements IXMLExtension

Plugin for managing used entities (ex : &)

### Constructor Summary

Constructors
`EntitiesPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start​(org.eclipse.lsp4j.InitializeParams params, XMLExtensionsRegistry registry)` Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.
`void` `stop​(XMLExtensionsRegistry registry)` Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IXMLExtension

`doSave`

### Constructor Detail

#### EntitiesPlugin

    public EntitiesPlugin()

### Method Detail

#### start

    public void start​(org.eclipse.lsp4j.InitializeParams params,
                      XMLExtensionsRegistry registry)

Description copied from interface: `IXMLExtension`
Start method to register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Specified by:
  `start` in interface `IXMLExtension`

#### stop

    public void stop​(XMLExtensionsRegistry registry)

Description copied from interface: `IXMLExtension`
Stop method to un-register participants like `ICompletionParticipant`, `IHoverParticipant`, `IDiagnosticsParticipant` in the given registry.

Specified by:
  `stop` in interface `IXMLExtension`